Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class AssertionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bbn.openmap.util.AssertionException

All Implemented Interfaces:
  java.io.Serializable

public class AssertionException
extends java.lang.RuntimeException

Signals that an assertion has failed.

Version:
  $Revision: 1.2.2.1 $, $Date: 2004/10/14 18:27:45 $
Author:
  unascribed
See Also:
  `Assert`, Serialized Form

Constructor Summary
`AssertionException()` Constructs a default `AssertionException`.
`AssertionException(java.lang.String s)` Constructs an `AssertionException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionException

    public AssertionException()

  Constructs a default `AssertionException`.

### AssertionException

    public AssertionException(java.lang.String s)

  Constructs an `AssertionException` with the specified detail message.

Parameters:
  `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details